# kvset

A set that can be updated using key-value links to indicate causal order.
Intended to be used with hash-link systems, like [secure-scuttlebutt][].

See also [hyperlog][], [kvgraph][]

## API

```
var KVSet = require('kvset')
var set = new KVSet()
```

### `set.add(key, value)`

Add a value to the set with the given key.

### `set.remove(key|keys)`

Remove values for the given key(s) from the set.

[hyperlog]: https://github.com/mafintosh/hyperlog
[kvgraph]: https://git-ssb.celehner.com/%25oJnY1QfgTgg%2BQhpa7COv5WGWZLohz74%2B77thqH6tzqU%3D.sha256
[secure-scuttlebutt]: https://git-ssb.celehner.com/%25iljFzUwTYposC7vs2V6AZgObPqwRVNAXjxYVVUoG4tU%3D.sha256
